package cz.cca.training.token;

import java.util.HashMap;

/**
 * Class for save tokens and privileges of login users
 */
public class TokenManager {

    private static TokenManager instance;

    private HashMap<String, String> mapUser = new HashMap<String, String>();

    private TokenManager() { 
    	/* token for testing purpose */
    	addToken("TohleJePouzeTestovaciToken_0123456789", "admin");
    }

    public static TokenManager getInstance() {
        if (instance == null){
            instance = new TokenManager();
        }
        return instance;
    }

    public void addToken(String token, String role) {
        mapUser.put(token, role);
    }

    public void removeToken(String token) {
        mapUser.remove(token);
    }

    public String getRole(String token) {
        return  mapUser.get(token);
    }


}
