package cz.cca.training.utils;

import cz.cca.training.configuration.AccessUserConfig;

import javax.inject.Inject;

/**
 * Class for authentication of user with user privilege
 */
public class AccessUser {

    private static AccessUserConfig accessConfig = new AccessUserConfig();

    public static boolean haveAccess(String url) {
        return accessConfig.getAccessUserUrl().contains(url);
    }
}
