angular
.module('registration', ['registration.controller', 'regDetail.controller', 'regDelete.controller', 'regForm.controller'])
.config(['$routeProvider', function($routeProvider) {
    $routeProvider.
        when('/registrations', {
            templateUrl: 'registration/showRegistrations.html',
            controller: 'registrationShowAll',
        }).
        when('/registrationDetail/:registrationId', {
            templateUrl: 'registration/detailRegistration.html',
            controller: 'registrationDetail',
        }).
        when('/registrationEdit/:registrationId', {
            templateUrl: 'registration/formRegistration.html',
            controller: 'registrationForm',
        }).
        when('/registrationCreate', {
            templateUrl: 'registration/formRegistration.html',
            controller: 'registrationForm',
        }).
        when('/registrationDelete/:registrationId', {
            templateUrl: 'registration/showRegistrations.html',
            controller: 'registrationDelete',
    });
}]);