angular
	.module('userControllers', [])
	.controller('UserShowAll', ['$scope', '$http',
        function ($scope, $http){
			$http.get("test-data/users.json").success(function (response) {
	            $scope.users = response;
	        });
			$scope.orderProp = "id";
	}])
	.controller('UserDetail', ['$scope', '$http', '$routeParams',
        function ($scope, $http, $routeParams){
			$http.get("http://jsonplaceholder.typicode.com/users/" + $routeParams.userId).success(function (response) {
				$scope.user = response;
			});
	}]);