package cz.cca.training.configuration;

import java.util.Arrays;
import java.util.List;

/**
 * Class pro config user privilege
 */
public class AccessUserConfig {

    private List<String> url = Arrays.asList(
            "/training/api/action:GET",
            "/training/api/action/detail:GET", //"/training/api/action/detail/{id}:GET",
            "/training/api/action/delete:DELETE", //"/training/api/action/delete/{id}:DELETE",
            "/training/api/action/create:PUT",
            "/training/api/action:POST",
            "/training/api/center:GET",

            "/training/api/currency:GET",

            "/training/api/employee:GET",
            "/training/api/employee/detail:GET", //"/training/api/employee/detail/{id}:GET",
            "/training/api/employee/browseEmployees:GET",
            "/training/api/employee/delete:DELETE", //"/training/api/employee/delete/{id}:DELETE",
            "/training/api/employee/create:PUT",
            "/training/api/employee:POST",
            "/training/api/employee/leaders:GET",

            "/training/api/expression:GET",

            "/training/api/realizationAction:GET",
            "/training/api/realizationAction/detail:GET",  //"/training/api/realizationAction/detail/{id}:GET",
            "/training/api/realizationAction/delete:DELETE", //"/training/api/realizationAction/delete/{id}:DELETE",
            "/training/api/realizationAction/create:PUT",
            "/training/api/realizationAction:POST",

            "/training/api/registration:GET",
            "/training/api/registration/detail:GET", //"/training/api/registration/detail/{id}:GET",
            "/training/api/registration/delete:DELETE", //"/training/api/registration/delete/{id}:DELETE",
            "/training/api/registration/create:PUT",
            "/training/api/registration:POST",

            "/training/api/statusAction:GET",
            
            "/training/api/statusRegistration:GET",

            "/training/api/typeRelationship:GET",

            "/training/api/unitMeasure:GET"

    );

    public List<String> getAccessUserUrl () {
        return url;
    }



}
