package cz.cca.training.configuration;

import cz.cca.training.rest.ActionREST;
import cz.cca.training.rest.CenterREST;
import cz.cca.training.rest.CurrencyREST;
import cz.cca.training.rest.EmployeeREST;
import cz.cca.training.rest.ExpressionREST;
import cz.cca.training.rest.RealizationActionREST;
import cz.cca.training.rest.RegistrationREST;
import cz.cca.training.rest.StatusActionREST;
import cz.cca.training.rest.StatusRegistrationREST;
import cz.cca.training.rest.TypeRelationshipREST;
import cz.cca.training.rest.UnitMeasureREST;
import cz.cca.training.rest.filter.AuthorizationFilter;
import java.util.HashSet;
import java.util.Set;
import javax.ws.rs.ApplicationPath;
import javax.ws.rs.core.Application;

@ApplicationPath("api")
public class RestApiConfig extends Application {

    @Override
    public Set<Class<?>> getClasses() {
        Set<Class<?>> set = new HashSet<Class<?>>();
        set.add(ActionREST.class);
        set.add(CenterREST.class);
        set.add(CurrencyREST.class);
        set.add(EmployeeREST.class);
        set.add(ExpressionREST.class);
        set.add(RealizationActionREST.class);
        set.add(RegistrationREST.class);
        set.add(StatusActionREST.class);
        set.add(StatusRegistrationREST.class);
        set.add(TypeRelationshipREST.class);
        set.add(UnitMeasureREST.class);

        //filter
        set.add(AuthorizationFilter.class);
        return set;
    }

}
