/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cca.training.rest.response;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * Title: {@link EmployeeNewJSON}
 * </p>
 * <p>
 * Description: JSON with necessary properties about new employee.
 * </p>
 * <p>
 * Copyright: Copyright (c) 2015 Kosek David
 * </p>
 * <p>
 * ZCU KIV/FAV
 * </p>
 *
 * @author david.kosek A14N0132P
 * @date 17. 5. 2015 11:51:33
 */
public class EmployeeNewJSON  implements Serializable {

    private static final long serialVersionUID = 1L;
    
    private Date dateRating;
    private String description;
    private String emailAddress;
    private String firstName;
    private int idLeader;
    private String personalCode;
    private String surname;
    private Date validityContract;
    private Date validityFrom;
    private Date validityInto;
    private int idCenter;
    private int idTypeRelationship;

    public Date getDateRating() {
        return dateRating;
    }

    public void setDateRating(Date dateRating) {
        this.dateRating = dateRating;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public int getIdLeader() {
        return idLeader;
    }

    public void setIdLeader(int idLeader) {
        this.idLeader = idLeader;
    }

    public String getPersonalCode() {
        return personalCode;
    }

    public void setPersonalCode(String personalCode) {
        this.personalCode = personalCode;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public Date getValidityContract() {
        return validityContract;
    }

    public void setValidityContract(Date validityContract) {
        this.validityContract = validityContract;
    }

    public Date getValidityFrom() {
        return validityFrom;
    }

    public void setValidityFrom(Date validityFrom) {
        this.validityFrom = validityFrom;
    }

    public Date getValidityInto() {
        return validityInto;
    }

    public void setValidityInto(Date validityInto) {
        this.validityInto = validityInto;
    }

    public int getIdCenter() {
        return idCenter;
    }

    public void setIdCenter(int center) {
        this.idCenter = center;
    }

    public int getIdTypeRelationship() {
        return idTypeRelationship;
    }

    public void setIdTypeRelationship(int typeRelationship) {
        this.idTypeRelationship = typeRelationship;
    }
      
      
    
}
