package cz.cca.training.utils;

/**
 * <p>
 * Title: {@link ResolveException}
 * </p>
 * <p>
 * Description: Own processing exception
 * </p>
 * <p>
 * Copyright: Copyright (c) 2015 Antonin Neumann
 * </p>
 * <p>
 * ZCU KIV/FAV
 * </p>
 *
 * @author Antonin Neumann
 * @date 24. 3. 2015 16:44:33
 */
public class ResolveException {

    /**
     * Print exception to console
     *
     * @param e Exception
     * @param msg Message
     */
    public static void printException(Exception e, String msg) {
        String x = e.getStackTrace()[2].getFileName() + ":" + e.getStackTrace()[2].getLineNumber();
        String message = msg + " | " + e.getClass() + " on (" + x + ") \n";
        System.err.println(message);
    }

}
