angular
.module('action', ['action.controller', 'actionDetail.controller', 'actionDelete.controller', 'actionForm.controller'])
.config(['$routeProvider', function($routeProvider) {
    $routeProvider.
        when('/actions', {
            templateUrl: 'action/showActions.html',
            controller: 'ActionShowAll',
        }).
        when('/actionDetail/:actionId', {
            templateUrl: 'action/detailAction.html',
            controller: 'ActionDetail',
        }).
        when('/actionEdit/:actionId', {
            templateUrl: 'action/formAction.html',
            controller: 'ActionForm',
        }).
        when('/actionCreate', {
            templateUrl: 'action/formAction.html',
            controller: 'ActionForm',
        }).
        when('/actionDelete/:actionId', {
            templateUrl: 'action/showActions.html',
            controller: 'ActionDelete',
    });
}]);