angular
.module('actionForm.controller', [])
.controller('ActionForm', ['$scope', '$http', '$routeParams', '$localStorage',
    function ($scope, $http, $routeParams, $localStorage){
        var create = false;
        if($routeParams.actionId===undefined){
            //do create
            $scope.actionFormTitle = 'Action create';
            create = true;
        }else {
        
            $scope.actionFormTitle = 'Action edit';
            $scope.master = {};
            $http.get("/training/api/action/detail/" + $routeParams.actionId)
                .success(function (response) {
                    console.log("Response:", response);
                    $scope.actionForm = response;
            }); 
        }
        
        //function for doing update
        $scope.update = function(actionForm, selectedLeader, selectedCenter, selectedRelationship) {
            $scope.master = {
                "codeAction": actionForm.codeAction===undefined?null:actionForm.codeAction,
                "description": actionForm.description===undefined?null:actionForm.description,
                "guarantee": actionForm.guarantee===undefined?null:actionForm.guarantee,
                "nameAction": actionForm.nameAction===undefined?null:actionForm.nameAction,
                "note": actionForm.note===undefined?null:actionForm.note
            }
            console.log("Updated data: ",$scope.master);
            var method;
            if(create){
                method = $http.put("/training/api/action/create",$scope.master);
            }else {
                $scope.master.idAction = actionForm.idEmployee;
                method = $http.post("/training/api/action",$scope.master);
            }
            method.success(function (response, status) {
                console.log(status, response);
                if(create)
                    $localStorage.msg = "Create action success.";
                else
                    $localStorage.msg = "Update action success.";
                window.location.href = '#/actions';
            }).
            error(function(data, status, headers) {
                console.log("ERROR "+status+": action update");
                console.log(headers('X-Error-Message'));
            });
        };
    }]);


