angular
.module('loginControllers', ['ngStorage'])
.controller('Login', ['$scope', '$http', '$localStorage',
function ($scope, $http, $localStorage){
    $scope.master = {};

    $scope.signin = function(user){
        $scope.master = angular.copy(user);
        console.log("Login: ", user);
        var hash = btoa($scope.master.login +':'+  $scope.master.password);
        var req = {
                method: 'POST',
                url: '/training/login/',
                headers: {
                        'Authorization': 'Basic '+hash
                }
        }
        console.log("BASE64 :", hash);

        $http(req).success(function (data, status, headers, config) {
            console.log("Status: ", status);
            var hdr = headers();
            console.log("Token: "+hdr['x-token']);
            console.log("User role: "+hdr['x-role']);
            $localStorage.token = hdr["x-token"];
            window.location.href = '#/users';
        });
    }
}]);
