var app = angular.module("jet", ['ngRoute', 'user', 'action', 'realization', 'registration', 'loginControllers', 'logout.controller', 'ngStorage']);

app.config(['$routeProvider',
    function($routeProvider) {
        
        $routeProvider.
            when('/login', {
                    templateUrl: 'template/login.html',
                    controller: 'Login',
            }).
            when('/logout', {
                    templateUrl: 'template/login.html',
                    controller: 'Logout',
            }).
            otherwise({
                    redirectTo: '/login'
            });
	}]);

//app.factory('redir', function() {
//    return {
//        go: function(path) {
//        	$location.path( path );
//        }
//    };
//});

//function for setup token header
app.run(function($http, $localStorage, $rootScope, $location) {
    $rootScope.$on('$locationChangeStart', function (event, next, current) {
        if($localStorage.token){
            $http.defaults.headers.common = { 'X-Token' : $localStorage.token }; 
        }else {
            $http.defaults.headers.common = { 'X-Token' : null };
            window.location.href = '#/login';
        }     
        console.log("Saved token: ", $localStorage.token);
        // redirect to login page if not logged in and trying to access a restricted page
        var allowedPage = inArray($location.path(), ['/login']);
        var loggedIn = $localStorage.token;
        if (!allowedPage && !loggedIn) {
            window.location.href = '#/login';
        }
    });
    
    function inArray(needle, haystack) {
        var length = haystack.length;
        for(var i = 0; i < length; i++) {
            if(haystack[i] == needle) return true;
        }
        return false;
    }
});

//function for redirestion
app.run(function($rootScope, $location) {
    $rootScope.redirect = function(path) {
    	$location.path( path );
    };
});
