angular
.module('realization', ['realization.controller', 'realDetail.controller', 'realDelete.controller', 'realForm.controller'])
.config(['$routeProvider', function($routeProvider) {
    $routeProvider.
        when('/realizations', {
            templateUrl: 'realization/showRealizations.html',
            controller: 'realizationShowAll',
        }).
        when('/realizationDetail/:realizationId', {
            templateUrl: 'realization/detailRealization.html',
            controller: 'realizationDetail',
        }).
        when('/realizationEdit/:realizationId', {
            templateUrl: 'realization/formRealization.html',
            controller: 'realizationForm',
        }).
        when('/realizationCreate', {
            templateUrl: 'realization/formRealization.html',
            controller: 'realizationForm',
        }).
        when('/realizationDelete/:realizationId', {
            templateUrl: 'realization/showRealizations.html',
            controller: 'realizationDelete',
    });
}]);