angular
.module('user', ["ngStorage", 'user.controller', 'userDetail.controller', 'userEdit.controller', 'userDelete.controller'])
.config(['$routeProvider', function($routeProvider) {
	$routeProvider.
		when('/users', {
			templateUrl: 'user/showUsers.html',
			controller: 'UserShowAll',
		}).
		when('/userDetail/:userId', {
				templateUrl: 'user/detailUser.html',
				controller: 'UserDetail',
                }).
                when('/userEdit/:userId', {
				templateUrl: 'user/editUser.html',
				controller: 'UserEdit',
                }).
                when('/userCreate', {
                        templateUrl: 'user/editUser.html',
                        controller: 'UserEdit',
                }).
                when('/userDelete/:userId', {
				templateUrl: 'user/showUsers.html',
				controller: 'UserDelete',
                });
}]);