-- TABLE centers
INSERT INTO `cca`.`cca_centers` (`id_center`, `code_center`) VALUES (NULL, 'ZP'), (NULL, 'EÚ'), (NULL, 'AP'), (NULL, 'VP'), (NULL, 'SN'), (NULL, 'PROV');

-- TABLE type_relatioship
INSERT INTO `cca`.`cca_type_relationship` (`id_type_relationship` ,`type_relationship`) VALUES (NULL ,  'Interní'), (NULL ,  'Externí');

-- TABLE expression
INSERT INTO `cca`.`cca_expression` (`id_expression`, `expression`) VALUES (NULL, 'Akceptováno'), (NULL, 'Neakceptováno');

-- TABLE empoloyees
INSERT INTO `cca_employees` (`id_employee`, `personal_code`, `first_name`, `surname`, `description`, `email_address`, `validity_from`, `validity_into`, `validity_contract`, `date_rating`, `id_leader`, `id_type_relationship`, `id_center`) VALUES
(NULL, 'ARN', 'Lenka', 'Andrlová', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 1),
(NULL, 'ILO', 'Ilona', 'Aubrechtová', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 3),
(NULL, 'CER', 'Kateřina', 'Bártová', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 4),
(NULL, 'BEM', 'Martin', 'Bělohlavý', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 2),
(NULL, 'BIK', 'Martin', 'Bíkl', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 6),
(NULL, 'BOB', 'Jarmila', 'Bobková', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 1),
(NULL, 'BRY', 'Zdeněk', 'Brýdl', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 5),
(NULL, 'BRS', 'Lukáš', 'Bureš', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 2, 4),
(NULL, 'BUP', 'Petr', 'Burian', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 3),
(NULL, 'CAB', 'Ondřej', 'Čabrada', NULL, 'example@cca.com', CURRENT_TIMESTAMP, NULL, NULL, NULL, 2, 1, 2);

-- TABLE currency
INSERT INTO  `cca`.`cca_currency` (`id_currency` ,`abbervivation_currency` ,`currency`) VALUES 
(NULL ,  'CZK',  'Česká Republika, koruna'), 
(NULL ,  'EUR',  'EMU, euro'), 
(NULL ,  'GBP',  'Velká Británie, libra'), 
(NULL ,  'USD',  'USA, dolar'), 
(NULL ,  'RUB',  'Rusko, rubl');

-- TABLE status registration
INSERT INTO  `cca`.`cca_status_registration` (`id_status_registration` ,`status_registration`) VALUES
(NULL ,  'vloženo'), 
(NULL ,  'nevloženo');

-- TABLE status action (realization)
INSERT INTO  `cca`.`cca_status_action` (`id_status_action` ,`status_action`) VALUES 
(NULL ,  'volno'), 
(NULL ,  'obsazeno'), 
(NULL ,  'rezervováno');

-- TABLE unit measure
INSERT INTO  `cca`.`cca_unit_measure` (`id_unit_measure` ,`unit_measure`) VALUES 
(NULL ,  'hodina'), 
(NULL ,  'den'), 
(NULL ,  'týden');



ALTER TABLE  `cca_employees` CHANGE  `validity_from`  `validity_from` DATETIME NOT NULL DEFAULT CURRENT_TIMESTAMP ;

ALTER TABLE  `cca_employees` CHANGE  `id_type_relationship`  `id_type_relationship` INT( 11 ) NULL DEFAULT  '1';

ALTER TABLE  `cca_registration` CHANGE  `id_expression_student` `id_expression_student` INT( 11 ) NOT NULL DEFAULT  '2';
