angular
	.module('loginControllers', ["ngStorage"])
	.controller('Login', ['$scope', '$http',
        function ($scope, $http, $localStorage){
			$scope.master = {};
			
			$scope.signin = function(user){
				$scope.master = angular.copy(user);
				var hash = btoa($scope.master.login +':'+  $scope.master.password);
				var req = {
					method: 'POST',
					url: './login',
					headers: {
						'Authorization': 'Basic '+hash
					}
				}

				$http(req).success(function (data, status, headers, config) {
					var hdr = headers();
					console.log("Token: "+hdr['x-token']);
					console.log("User role: "+hdr['x-role']);
					$localStorage.token = hdr["x-token"];
				});
				
				//alert($scope.master.login +':'+  $scope.master.password);
				alert("Receive token: "+$localStorage.token);			}
	}])
