var app = angular.module("jet", ['ngRoute', 'userControllers', 'loginControllers']);

app.config(['$routeProvider',
    function($routeProvider) {
		$routeProvider.
			when('/users', {
				templateUrl: 'template/showUsers.html',
				controller: 'UserShowAll',
			}).
			when('/userDetail/:userId', {
				templateUrl: 'template/detailUser.html',
				controller: 'UserDetail',
			}).
			when('/login', {
				templateUrl: 'template/login.html',
				controller: 'Login',
			}).
			otherwise({
				redirectTo: '/users'
			});
	}]);

//app.factory('redir', function() {
//    return {
//        go: function(path) {
//        	$location.path( path );
//        }
//    };
//});
app.run(function($rootScope, $location) {
    $rootScope.redirect = function(path) {
    	$location.path( path );
    };
});
